Bug 121422 - Default X configuration doesn't allow touchpad to be disabled.
Default X configuration doesn't allow touchpad to be disabled.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-21 09:30 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 14:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-04-21 09:30:44 EDT
Description of problem:
I have a laptop with a touchpad which is very easily hit with the heel
of the hand while typing. I also have a USB mouse. I need to be able
to disable the touchpad, by means of 'xsetpointer' or otherwise.

The default X configuration uses /dev/input/mice and does not allow
any fine-grained selection of input devices.

I've fixed this locally by means of the following configuration, but
it's suboptimal:
        InputDevice    "Touchpad" "CorePointer"
        InputDevice    "USB Mouse" "AlwaysCore"
        InputDevice    "DevInputMice"

This means that if the USB mouse is present when X is started, it's
_always_ generate core events, which is OK. By issuing 'xsetpointer
USB\ Mouse' I can disable the touchpad, and by issuing 'xsetpointer
Touchpad' I can enable it again.

If X is started without the USB mouse enabled, I have to select the
'DevInputMice' pointer to make it work, and the touchpad cannot be
disabled.

We need: 
 1. Hotplug of pointer devices.
 2. xsetpointer to be able to individually enable and disable devices,
    (i.e. make it checkboxes not radio-buttons).  

(or maybe the kernel should have a way to omit events emitted by
certain devices from the output of /dev/input/mice?)
Comment 1 Mike A. Harris 2004-04-21 18:45:54 EDT
The xorg-x11 package does not contain any configuration tools.  The
X server just uses the config file present in the system.

Reassigning feature request to system-config-display component, our
X configuration tool.  Changing version to "devel", as FC2 isn't final
yet.
Comment 2 Brent Fox 2004-06-23 14:56:07 EDT
I'm not convinced that disabling the touchpad is something that a
signifcant percentage of users would want to do.  It doesn't seem like
something we want to expose in the display configuration tool.  

I'm going to close as 'wontfix' but only in terms of
system-config-display.  If you feel that it should be reopened and
assigned to a different component, please do.

Note You need to log in before you can comment on or make changes to this bug.